// Nom du dossier contenant les médias du questionnaire
// ----------------------------------------------------------------------------------------------------------
var mediasFolder = 'medias'; //devrait rester invariable

// Médias de la page d'accueil (onglet Complément de l'item Page d'accueil)
// ----------------------------------------------------------------------------------------------------------
// Texte (champ Ajouter un texte -> titre + texte)
var textGuidelineWelcome = ''

// Image (champ Ajouter une image)
var imagePath;

// Son (champ Ajouter un son)
var soundPath;

// Vidéo (champ Ajouter une vidéo)
var videoPath;


// Préparation des pages index.html (Page d'accueil), main.html (page des items) et printable.html (impression du tableau de résultats)
// (onglet Contenu de la page d'accueil du questionnaire)
// ----------------------------------------------------------------------------------------------------------
// Champ Titre du questionnaire de la page d'accueil 
var WM_QUIZ_TITLE = 'CONJUGUER AU FUTUR DE L\'INDICATIF ET AU CONDITIONNEL PRESENT';

// Champ Mot de bienvenue
var W_INTRO = 'Voici deux petites exercices interactifs pour r&eacute;viser la conjugaison du futur et du conditionnel.<br /><br />';

// Champ Note
var W_AVERTISSEMENT = '';

// Champ Générique
var W_CREDITS = '';

// Champ Fonctionnalités/Commencer de la langue du questionnaire
var W_CONTINUE = 'Commencer';

if (loadedWelcome == false) {
 jQuery(document).ready(function() {   
   load_welcome();
   loadedWelcome = true;
  });
}
else if (loadedWelcome == true) {
jQuery(document).ready(function() {
 	jQuery("#quiztitle").html('<a href="#" class="quiz_title_link" onclick="top.ccdmd.nq4.restartQuizFromWelcome();">' + WM_QUIZ_TITLE + '</a>');
});

document.title = WM_QUIZ_TITLE;


// Initialisation du questionnaire
// ----------------------------------------------------------------------------------------------------------
var gNQ4 = null;
window.onload = function(){
initLexiqueVariantes();	
var page = null;
indiceWindow = new DraggableWindow($('indice'),$('indicehandle'));
identFormWindow = new DraggableWindow($('resultIdentForm'),$('resulthandle'));
sendtoFormWindow = new DraggableWindow($('sendtoForm'),$('sendtohandle'));
gNQ4 = getNewNetquiz();
gNQ4.showNavTextBox = true; //Aucun paramètre ne permet de changer cette valeur
gNQ4.quizTitle = WM_QUIZ_TITLE; //Défini plus haut pour la page d'accueil


// Paramètres du questionnaire
// ----------------------------------------------------------------------------------------------------------
// Toujours 0 pour phase 1
// Pour phase 2: 0 = formatif; 1 = formatif avec soumission au serveur; 2 = sommatif
gNQ4.mode = 0;

// Champ Temps de réponse
gNQ4.answerTimerEnabled = false;

// Nombre de pages total du questionnaire
gNQ4.numberPagesQuiz = '6';



// Libellés généraux propres à la langue du questionnaire (ou de l'aperçu)
// ----------------------------------------------------------------------------------------------------------
// Champ Délimiteur de nombre
gNQ4.decimalSymbol = 0;

// BOUTONS
// ----------------------------------------------------------------------------------------------------------
// Champ Annuler
gNQ4.resultButtonCancel = 'Annuler';

// Champ OK
gNQ4.resultButtonOK = 'OK';

// FENÊTRES (renseignements sur le répondant pour Imprimer et Envoyer par courriel)
// ----------------------------------------------------------------------------------------------------------
// Champ Renseignements sur le répondant
gNQ4.resultIdentTitle = 'Renseignements sur le répondant';

// Champ Nom
gNQ4.rifLblLastName = 'Nom';

// Champ Prénom
gNQ4.rifLblName = 'Prénom';

// Champ Matricule
gNQ4.rifLblCode = 'Identifiant';

// Champ Groupe
gNQ4.rifLblGroup = 'Groupe';

// Champ Courriel
gNQ4.rifLblEmail = 'Votre courriel';

// Champ Autre
gNQ4.rifLblOther = 'Message';

// Champ Envoi des résultats par courriel
gNQ4. rifLblTitleSendTo = 'Envoi des résultats par courriel';

// Champ Courriel du destinataire
gNQ4.rifLblSendTo = 'Courriel du destinataire';

// FONCTIONNALITÉ
// ----------------------------------------------------------------------------------------------------------
// Champ Effacer les marques
gNQ4.removeHiliteLabel = 'Effacer les marques';

// Champ Envoyer par courriel
gNQ4.resultButtonSendTo = 'Envoyer par courriel';

// Champ Imprimer
gNQ4.resultButtonPrint = 'Imprimer';

// Champ Recommencer
gNQ4.resultButtonRedo = 'Recommencer';

// Champ Reprendre
gNQ4.navbRedo = 'Reprendre';

// Champ Résultats
gNQ4.navbResult = 'Résultats';

// Champ Lexique
gNQ4.navbLexique = 'Glossaire';

// Champ Questionnaire
gNQ4.navbQuestionnaire = 'Questionnaire';

// Champ Solution
gNQ4.navbSolution = 'Solution';

// Champ Valider
gNQ4.navbValidate = 'Valider';

// MENU DE NAVIGATION
// ----------------------------------------------------------------------------------------------------------
// Champ Page
gNQ4.pageLabel = 'Page';

// Champ De (ex. 2 de 30)
gNQ4.navBarOf = 'de';

// MESSAGES GÉNÉRAUX (TOUT TYPE D'ITEM)
// ----------------------------------------------------------------------------------------------------------
// Champ Point
gNQ4.point = 'point';

// Champ Points
gNQ4.points = 'points';

// Champ Libellé Solution
gNQ4.solutionLabel = 'Solution';

// MESSAGE PARTICULIERS (PROPRES À CERTAINS TYPES D'ITEMS)
// ----------------------------------------------------------------------------------------------------------
// Champ Message pour mots en trop (dictée)
gNQ4.sMsgMotsTrop = 'Mots en trop [entre crochets]';

// Champ Message pour mots mal orthographiés (dictée)
gNQ4.sMsgMotsMOrtho = 'Mots mal orthographiés';

// Champ Message pour mots manquants (dictée)
gNQ4.sMsgMotsManq = 'Mots manquants (soulignés)';

// Champ Message pour réponse suggérée (développement)
gNQ4.suggestionLabel = 'Réponse suggérée';

// TABLEAU DES RÉSULTATS
// ----------------------------------------------------------------------------------------------------------
// Première colonne du tableau = même libellé que pageLabel
gNQ4.resultHeaderCol0 = gNQ4.pageLabel;

// Champ Nombre d’essais
gNQ4.resultHeaderCol1 = 'Nombre d\'essais';

// Champ Temps de réponse
gNQ4.resultHeaderCol2 = 'Temps de réponse';

// Champ Points
gNQ4.resultHeaderCol3 = 'Points';

// Champ Statut
gNQ4.resultHeaderCol4 = 'Statut';

// Champ À faire
gNQ4.statusToDo = 'À faire';

// Champ À reprendre
gNQ4.statusToRedo = 'À reprendre';

// Champ Réussi
gNQ4.statusCompleted = 'Réussi';

// Champ Sans objet
gNQ4.resultNoValue = '-';

// Champ Message de confirmation pour la reprise du questionnaire
gNQ4.msgRestartQuiz = 'La commande « Recommencer » efface toutes les réponses et les résultats. Si vous ne voulez pas effacer ces résultats, ou si vous voulez les faire imprimer ou envoyer par courriel avant de reprendre le questionnaire, cliquez sur « Annuler », sinon cliquez sur « OK ».';

// Champ Message de confirmation pour le retour à la page d'accueil
gNQ4.msgRestartQuizWelcome = 'Le retour à la page d\'accueil du questionnaire efface toutes les réponses et les résultats. Si vous ne voulez pas effacer ces résultats, ou si vous voulez les faire imprimer ou envoyer par courriel avant de de retourner à la page d\'accueil, cliquez sur « Annuler », sinon cliquez sur « OK ».';

// Champ Objet du courriel (concaténé avec nom questionnaire + nom répondant dans l'objet du courriel)
gNQ4.strObjet = 'Objet';

// Champ Courriel envoyé avec succès
gNQ4.msgEmailOk = 'Courriel envoyé avec succès';

// Champ Erreur lors de l'envoi du courriel
gNQ4.msgEmailError = 'Erreur lors de l\'envoi du courriel';


// Fin du questionnaire
// ----------------------------------------------------------------------------------------------------------
// Champ Texte de Fin du questionnaire
gNQ4.resultOtherContent = '';




// ----------------------------------------------------------------------------------------------------------
// ITEM 0 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(0);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
	page.consigne = 'Glissez, puis déposez chacune des expressions de la liste dans l\'espace qui lui convient dans le texte.';


// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = 'Choisis la bonne forme';
	
// Champ Énoncé de l'item
page.statement = 'Compl&egrave;te la phrase avec un verbe au futur.';

// Type de lacune
page.question.questionType = 1;


// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('travaillerai', '', 1);
page.question.addWrongAnswer('travaillera', 'Non &ccedil;a c\'est bien le futur mais &agrave; la 3&egrave;me personne', 1);
page.question.addWrongAnswer('travaillerais', 'Non, &ccedil;a c\'est le conditionnel pr&eacute;sent. <br />Le radical est le m&ecirc;me: <strong>travailler-</strong><br />Mais <strong>pas -s</strong> au futur &agrave; la 1&egrave;re pers.', 1);
page.question.addWrongAnswer('travaillai', 'Non, &ccedil;a c\'est le pass&eacute; simple. Ils ont effectivement la m&ecirc;me terminaison.<br /><span style=\"text-decoration: underline;\">Mais observe bien le radical</span> :<strong> travaill-<br />Il ne se termine pas en -R !<br /></strong>', 1);
page.question.setOtherAnswersFeedback('Fais un nouvel essai', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('Je %blank1 dur pour y arriver.');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'Bonne réponse';

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

// ----------------------------------------------------------------------------------------------------------
// ITEM 1 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(1);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
page.consigne = 'Inscrivez l\'expression manquante dans chaque champ de saisie du texte. Lorsque cela s\'applique, la correction tiendra compte des accents.'

// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = '*Mets au futur de l\'indicatif (4 verbes)';
	
// Champ Énoncé de l'item
page.statement = 'Mets au futur de l\'indicatif&nbsp; les verbes des phrases suivantes :';

// Type de lacune
page.question.questionType = 2;

	// Pour la correction, tenir compte... des majuscules/minuscules 
	page.question.bCaseSens = false;
	
	// Pour la correction, tenir compte... de la ponctuation 
	page.question.bPoncCompte = false;
	
	// Taille du champ
		page.question.inputSize = '100';
	 

// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('pourront', '', 4);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 4);
page.question.addGoodAnswer('serons', '', 3);
page.question.addWrongAnswer('saurons', 'tu confonds avec le verbe \"savoir\".', 3);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 3);
page.question.addGoodAnswer('verrai', '', 2);
page.question.addWrongAnswer('verai', 'Attention, il faut 2 \"r\": l\'un pour le radical, l\'autre pour la marque du futur. C\'est aussi le cas de \"mourrai\".', 2);
page.question.addWrongAnswer('verrais', 'Pas de -s au futur &agrave; la 1&egrave;re pers. du sing.<br />Cela est r&eacute;serv&eacute; au conditionnel.', 2);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 2);
page.question.addGoodAnswer('amusera', '', 1);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('<strong>Il s\'amuse dans la cour:  </strong>il s\' %blank1 dans la cour<br><strong>Je vois clair dans ton jeu : </strong>je %blank2 clair dans ton jeu<br><strong>Il est en retard :</strong> nous %blank3 en retard<br><strong>Nous pouvons y arriver :</strong> ils %blank4 y arriver');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'BRAVO !';
page.goodAnswerMedia = page.addFeedbackMedia(1, 2, 'http://image-qui-bouge.fr/galleries/Smiley/smiley-035.gif', -1, -1);

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

// ----------------------------------------------------------------------------------------------------------
// ITEM 2 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(2);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
page.consigne = 'Inscrivez l\'expression manquante dans chaque champ de saisie du texte. Lorsque cela s\'applique, la correction tiendra compte des accents.'

// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = '*Mets au futur de l\'indicatif (4 verbes)';
	
// Champ Énoncé de l'item
page.statement = 'Mets au futur de l\'indicatif&nbsp; les verbes des phrases suivantes :';

// Type de lacune
page.question.questionType = 2;

	// Pour la correction, tenir compte... des majuscules/minuscules 
	page.question.bCaseSens = false;
	
	// Pour la correction, tenir compte... de la ponctuation 
	page.question.bPoncCompte = false;
	
	// Taille du champ
		page.question.inputSize = '100';
	 

// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('ferons', '', 4);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 4);
page.question.addGoodAnswer('auras', '', 3);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 3);
page.question.addGoodAnswer('voudrez', '', 2);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 2);
page.question.addGoodAnswer('saurai', '', 1);
page.question.addWrongAnswer('serai', 'tu confonds avec le verbe \"&ecirc;tre\"', 1);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('Je sais que tu vas mal : je %blank1 que tu vas mal<br>Tu veux de l\'aide? : vous %blank2 de l\'aide?<br>vous avez faim : tu %blank3 faim<br>je fais un essai : nous %blank4 un essai<br><br><br>');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'Bonne réponse';

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

// ----------------------------------------------------------------------------------------------------------
// ITEM 3 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(3);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
page.consigne = 'Inscrivez l\'expression manquante dans chaque champ de saisie du texte. Lorsque cela s\'applique, la correction tiendra compte des accents.'

// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = 'Mets au futur de l\'indicatif (4 verbes)';
	
// Champ Énoncé de l'item
page.statement = 'Mets au futur de l\'indicatif&nbsp; les verbes des phrases suivantes :';

// Type de lacune
page.question.questionType = 2;

	// Pour la correction, tenir compte... des majuscules/minuscules 
	page.question.bCaseSens = false;
	
	// Pour la correction, tenir compte... de la ponctuation 
	page.question.bPoncCompte = false;
	
	// Taille du champ
		page.question.inputSize = '100';
	 

// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('viendront', '', 4);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 4);
page.question.addGoodAnswer('tiendras', '', 3);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 3);
page.question.addGoodAnswer('prendrons', '', 2);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 2);
page.question.addGoodAnswer('diront', '', 1);
page.question.addWrongAnswer('serai', 'tu confonds avec le verbe \"&ecirc;tre\"', 1);
page.question.setOtherAnswersFeedback('Tu as fait une erreur. Essaie &agrave; nouveau. Pour cela fais glisser le doc. vers le haut et tu retrouveras ton travail.', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('Il dit vrai : ils %blank1 vrai<br>Je prends ton sac : nous %blank2 notre sac<br>Je tiens à payer : tu %blank3 à payer<br> Nous venons au concert : ils %blank4 au concert<br><br>');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'Bonne réponse';

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

// ----------------------------------------------------------------------------------------------------------
// ITEM 4 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(4);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
page.consigne = 'Inscrivez l\'expression manquante dans chaque champ de saisie du texte. Lorsque cela s\'applique, la correction tiendra compte des accents.'

// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = '*Mets au conditionnel présent';
	
// Champ Énoncé de l'item
page.statement = 'Mets au conditionnel pr&eacute;sent les verbes des phrases suivantes :';

// Type de lacune
page.question.questionType = 2;

	// Pour la correction, tenir compte... des majuscules/minuscules 
	page.question.bCaseSens = false;
	
	// Pour la correction, tenir compte... de la ponctuation 
	page.question.bPoncCompte = false;
	
	// Taille du champ
		page.question.inputSize = '100';
	 

// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('saurais', '', 6);
page.question.addWrongAnswer('serais', 'tu confonds avec le verbe \"&ecirc;tre\"', 6);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 6);
page.question.addGoodAnswer('pourraient', '', 5);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 5);
page.question.addGoodAnswer('serions', '', 4);
page.question.addWrongAnswer('saurions', 'tu confonds avec le verbe \"savoir\".', 4);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 4);
page.question.addGoodAnswer('verrais', '', 3);
page.question.addWrongAnswer('verrai', 'Tu confonds avec le futur.<br />&nbsp;Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 3);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 3);
page.question.addGoodAnswer('s\'avanceraient', '', 2);
page.question.setOtherAnswersFeedback('T&nbsp;Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 2);
page.question.addGoodAnswer('bouderais', '', 1);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('Je bouderai à cause de toi : je %blank1 à cause de toi<br>Il s\'avancera vers la victoire : ils %blank2 vers la victoire<br>Je verrai mieux avec mes lunettes : je %blank3 avec mes lunettes<br>Il sera absent : nous %blank4 absents<br>Nous pourrons faire mieux : ils %blank5 faire mieux<br>Je sais tout : je %blank6 tout<br><br>');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'Bonne réponse';

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

// ----------------------------------------------------------------------------------------------------------
// ITEM 5 - TEXTE LACUNAIRE
// ----------------------------------------------------------------------------------------------------------

// Initialisation de la page
page = gNQ4.newPage();

// Type d'item et numéro de page si prédéterminé
page.initQuestionBlankText(5);

// Champ dans Types d’items de la langue du questionnaire
page.readableType = 'Texte lacunaire';

// Consigne selon la langue du questionnaire ou de l'aperçu
page.consigne = 'Inscrivez l\'expression manquante dans chaque champ de saisie du texte. Lorsque cela s\'applique, la correction tiendra compte des accents.'

// Champ Pondération dans Paramètres de l'item (défaut pour choix multiples = 1.0)
page.question.ponderation = 1;

// Champ Affichage de la solution (paramètre de l'item ou selon le questionnaire)
page.showNavBSolution = true;

// Champ Titre de la section dans laquelle se trouve l'item dans un questionnaire
page.title = '';

// Champ Titre de l'item
page.itemTitle = '**Mets au conditionnel présent';
	
// Champ Énoncé de l'item
page.statement = 'Mets au conditionnel pr&eacute;sent et &agrave; la personne indiqu&eacute;e, les verbes des phrases suivantes :';

// Type de lacune
page.question.questionType = 2;

	// Pour la correction, tenir compte... des majuscules/minuscules 
	page.question.bCaseSens = false;
	
	// Pour la correction, tenir compte... de la ponctuation 
	page.question.bPoncCompte = false;
	
	// Taille du champ
		page.question.inputSize = '100';
	 

// Liste des lacunes si de type Glisser-déposer ou Réponse brève 
page.question.addGoodAnswer('finirais', '', 8);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 8);
page.question.addGoodAnswer('viendrait', '', 7);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.<br /><br />', 7);
page.question.addGoodAnswer('tiendrais', '', 6);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 6);
page.question.addGoodAnswer('prendrais', '', 5);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 5);
page.question.addGoodAnswer('diriez', '', 4);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 4);
page.question.addGoodAnswer('ferions', '', 3);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 3);
page.question.addGoodAnswer('aurais', '', 2);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 2);
page.question.addGoodAnswer('voudraient', '', 1);
page.question.addWrongAnswer('serais', 'tu confonds avec le verbe \"&ecirc;tre\"', 1);
page.question.setOtherAnswersFeedback('Tu t\'es tromp&eacute;(e). Recommence.<br />Je te rappelle que le conditionnel est form&eacute; :<br />- du m&ecirc;me radical que le futur (il se termine par un -R-) <br />- et des m&ecirc;mes terminaisons que l\'imparfait.', 1);


// Liste des lacunes si de type Menu déroulant 

// Afficher l'ordre au hasard en tout temps
page.question.shuffle();

// Texte principal
page.question.addMainText('vouloir : ils %blank1 <br> avoir : j\'%blank2<br>faire : nous %blank3<br>dire : vous %blank4 <br> prendre: tu %blank5<br>tenir : je %blank6<br> venir : il %blank7<br>finir: tu %blank8<br><br><br>');


// COMPLÉMENTS (onglet Compléments)
// ----------------------------------------------------------------------------------------------------------
// INFORMATIONS COMPLÉMENTAIRES
// Champ titre de Information complémentaire 1
page.indiceTag = '';

// Champ texte de Information complémentaire 1
page.indice = '';

// Champ titre de Information complémentaire 2
page.sourceTag = '';

// Champ texte de Information complémentaire 2
page.source = '';

// MÉDIAS EN ENTÊTE




// MESSAGES GÉNÉRAUX DE RÉTROACTION
// Champ Message pour bonne réponse
page.goodAnswerLabel = 'BRAVO !';
page.goodAnswerMedia = page.addFeedbackMedia(1, 2, 'http://image-qui-bouge.fr/galleries/Animaux/Chat/animaux-chat-002.gif', -1, -1);

// Champ Message pour mauvaise réponse
page.wrongAnswerLabel = 'Mauvaise réponse';

// Champ Message pou réponse incomplète
page.incompleteAnswerLabel = 'Réponse incomplète';

	gNQ4.init();
	}
	
}
